## Print

The set print command redirects the output of the print command to a file.

Syntax:

         set print
         set print "-"
         set print "<filename>" [append]
         set print "|<shell_command>"
         set print $datablock [append]

set print with no parameters restores output to STDERR. The filename "-" means STDOUT. The append flag causes the file to be opened in append mode. A filename starting with "" is opened as a pipe to the shell_command on platforms that support piping.

The destination for print commands can also be a named data block. Data block names start with '$', see also inline data (p. ).